Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(48)

Issue 10091014: Start implementing pub object model. Rudimentary package cache class, and a simple pub command to l… (Closed)

Created:
8 years, 1 month ago by Bob Nystrom
Modified:
8 years, 1 month ago
Reviewers:
nweiz
CC:
reviews_dartlang.org
Visibility:
Public.

Description

Start implementing pub object model. Rudimentary package cache class, and a simple pub command to list its contents. Committed: https://code.google.com/p/dart/source/detail?r=6779

Patch Set 1 #

Patch Set 2 : Packages now only load their dependencies on-demand (and asynchronously). #

Total comments: 24

Patch Set 3 : Respond to review. #

Patch Set 4 : Platform is static now. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+622 lines, -59 lines) Patch
A utils/pub/cache.dart View 1 2 1 chunk +104 lines, -0 lines 0 comments Download
A utils/pub/command_list.dart View 1 1 chunk +15 lines, -0 lines 0 comments Download
A utils/pub/command_update.dart View 1 chunk +8 lines, -0 lines 0 comments Download
A utils/pub/io.dart View 1 2 3 1 chunk +231 lines, -0 lines 0 comments Download
A utils/pub/package.dart View 1 1 chunk +39 lines, -0 lines 0 comments Download
M utils/pub/pub.dart View 5 chunks +33 lines, -6 lines 0 comments Download
M utils/tests/pub/pub_tests.dart View 2 chunks +34 lines, -11 lines 0 comments Download
M utils/tests/pub/test_pub.dart View 1 2 3 2 chunks +158 lines, -42 lines 0 comments Download

Messages

Total messages: 5 (0 generated)
Bob Nystrom
It begins!
8 years, 1 month ago (2012-04-16 22:06:15 UTC) #1
Bob Nystrom
Fixed the ill-conceived notion that packages should load their dependencies before you can poke at ...
8 years, 1 month ago (2012-04-16 23:47:15 UTC) #2
nweiz
https://chromiumcodereview.appspot.com/10091014/diff/18/utils/pub/cache.dart File utils/pub/cache.dart (right): https://chromiumcodereview.appspot.com/10091014/diff/18/utils/pub/cache.dart#newcode66 utils/pub/cache.dart:66: final pubspecPath = join(rootDir, name, 'pubspec'); Unused variable https://chromiumcodereview.appspot.com/10091014/diff/18/utils/pub/cache.dart#newcode69 ...
8 years, 1 month ago (2012-04-17 20:08:46 UTC) #3
Bob Nystrom
Thanks! https://chromiumcodereview.appspot.com/10091014/diff/18/utils/pub/cache.dart File utils/pub/cache.dart (right): https://chromiumcodereview.appspot.com/10091014/diff/18/utils/pub/cache.dart#newcode66 utils/pub/cache.dart:66: final pubspecPath = join(rootDir, name, 'pubspec'); On 2012/04/17 ...
8 years, 1 month ago (2012-04-18 18:09:18 UTC) #4
nweiz
8 years, 1 month ago (2012-04-19 23:13:01 UTC) #5
lgtm

Powered by Google App Engine
This is Rietveld 408576698